public static interface JcrEndpointBuilderFactory.JcrBuilders
| Modifier and Type | Method and Description |
|---|---|
default JcrEndpointBuilderFactory.JcrEndpointBuilder |
jcr(String path)
JCR (camel-jcr)
Read and write nodes to/from a JCR compliant content repository.
|
default JcrEndpointBuilderFactory.JcrEndpointBuilder |
jcr(String componentName,
String path)
JCR (camel-jcr)
Read and write nodes to/from a JCR compliant content repository.
|
default JcrEndpointBuilderFactory.JcrEndpointBuilder jcr(String path)
jcr:host/base
Path parameter: host (required)
Name of the javax.jcr.Repository to lookup from the Camel registry to
be used.
Path parameter: base
Get the base node when accessing the repositorypath - host/basedefault JcrEndpointBuilderFactory.JcrEndpointBuilder jcr(String componentName, String path)
jcr:host/base
Path parameter: host (required)
Name of the javax.jcr.Repository to lookup from the Camel registry to
be used.
Path parameter: base
Get the base node when accessing the repositorycomponentName - to use a custom component name for the endpoint
instead of the default namepath - host/baseApache Camel